"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
exports.I18nLang = common_1.createParamDecorator((data, req) => {
    if (Array.isArray(req)) {
        return resolveI18nLangaugeFromGraphQLContext(req);
    }
    return resolveI18nLanguageFromRestRequest(req);
});
function resolveI18nLanguageFromRestRequest(req) {
    return req.i18nLang || (req.raw ? req.raw.i18nLang : undefined);
}
function resolveI18nLangaugeFromGraphQLContext(req) {
    const [root, args, ctx, info] = req;
    return ctx.req.i18nLang;
}
